> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Communication Settings

> This endpoint returns a user's communication settings. The notification key reflects a user's settings for receiving push notifications in their app. The email key reflects a user's settings for receiving emails. The sms key (under marketing_general) reflects a user's settings for receiving SMS messages.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField query="merchant_id" type="string">
  Merchant ID
</ParamField>

### Response

<Snippet file="entities/communication-setting-consumer.mdx" />

<RequestExample>
  ```bash theme={null}
  curl https://api.thanxsandbox.com/communication_settings/woerihfslkwer \
    -X PATCH \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}" 
    -d '{
      "communication_settings": {
        "reward_earned": {
          "notification": false,
          "email": false
        },
        "feedback_available": {
          "notification": true
        }
      }
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "communication_settings": [
      {
        "id": "weori234098",
        "merchant_id": "owierywtwt",
        "merchant_handle": "example-merchant",
        "user_id": "woeruijsfwer",
        "reward_earned": {
          "notification": true,
          "email": true
        },
        "reward_unused": {
          "notification": true,
          "email": true
        },
        "reward_progress": {
          "notification": true,
          "email": true
        },
        "reward_offer": {
          "notification": true,
          "email": true
        },
        "feedback_available": {
          "notification": true
        },
        "marketing_general": {
          "email": true,
          "sms": true
        }
      }
    ]
  }
  ```
</ResponseExample>
